CREATE OR REPLACE VIEW imbis_v_bam_time
AS
SELECT
  MAT.FLOW_ID AS FLOW_ID,
  LOCALE.FLOW_NAME AS FLOW_NAME,
  TSK.NODE_ID AS NODE_ID,
  TSK.NODE_NAME AS NODE_NAME, 
  TIM.EXEC_USER_CODE AS USER_CODE, 
  MIDNIGHT_SECONDS(TIM.TASK_START_TIME) - MIDNIGHT_SECONDS(TIM.PROCESS_START_TIME) as WAIT_TIME,
  MIDNIGHT_SECONDS(TIM.PROCESS_END_TIME) - MIDNIGHT_SECONDS(TIM.PROCESS_START_TIME) as PROCESS_TIME,
  to_char(TIM.PROCESS_END_TIME, 'YY/MM') AS EXECUTE_MONTH
FROM
  IMBIS_T_BAM_TIME TIM 
  INNER JOIN IMW_T_CPL_MATTER MAT 
    ON TIM.SYSTEM_MATTER_ID = MAT.SYSTEM_MATTER_ID 
  INNER JOIN IMW_T_CPL_MATTER_LOCALE LOCALE 
    ON MAT.SYSTEM_MATTER_ID = LOCALE.SYSTEM_MATTER_ID 
  LEFT OUTER JOIN IMW_T_CPL_MATTER_TASK TSK 
    ON TIM.SYSTEM_MATTER_ID = TSK.SYSTEM_MATTER_ID 
    AND TIM.TASK_ID = TSK.TASK_ID 
WHERE
  LOCALE.LOCALE_ID = 'ja';
  
