CREATE VIEW imbis_v_bam_time
AS
SELECT
  mat.flow_id AS flow_id,
  locale.flow_name AS flow_name,
  tsk.node_id AS node_id,
  tsk.node_name AS node_name, 
  tim.exec_user_code AS user_code, 
  DATEDIFF(second,tim.process_start_time, tim.task_start_time) as wait_time,
  DATEDIFF(second,tim.process_start_time, tim.process_end_time) as process_time,
  LEFT(CONVERT(VARCHAR,tim.process_end_time,111),7) AS execute_month
FROM
  imbis_t_bam_time tim 
  inner join imw_t_cpl_matter mat 
    on tim.system_matter_id = mat.system_matter_id 
  inner join imw_t_cpl_matter_locale locale 
    on mat.system_matter_id = locale.system_matter_id 
  LEFT OUTER join imw_t_cpl_matter_task tsk 
    on tim.system_matter_id = tsk.system_matter_id 
    AND tim.task_id = tsk.task_id 
WHERE
  locale.locale_id = 'ja';
 